API referenceProducts
Create an add-on
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/stores/string/addons" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "priceMinor": 0, "currency": "str" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "priceMinor": -9007199254740991, "currency": "string", "costMinor": -9007199254740991, "mandatory": true, "imageId": "bbefe473-c66a-4040-85cf-1c7e6f0b3830", "imageUrl": "string", "status": "active", "groupName": "string", "selectionMin": -9007199254740991, "selectionMax": -9007199254740991, "scope": "per_item", "condition": { "variantIds": [ "3b10dd1e-3b0a-4d9e-877e-29a218aa634a" ], "minQuantity": -9007199254740991 }, "percentageBp": -9007199254740991, "percentageBase": "product", "variantPrices": { "property1": -9007199254740991, "property2": -9007199254740991 }, "productIds": [ "ab269553-289b-4dda-82f7-ac36b3555fb3" ]}